[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug in update_excuses?

On Mon, Sep 08, 2003 at 02:07:23PM +0200, Andreas Metzler wrote:

> So the db3-update predepends on a glibc-update, which cannot happen and
> should stop db3 3.2.9-19.0.1 from becoming "Valid candidate",
> shouldn't it?

The script considers if things are a valid candiate on their own merits
but assesses other things like dependencies separately - if look at
something like powertweak this is explicitly stated:

powertweak (0.99.4-19 to 0.99.5-1)
    Maintainer: Mark Brown
    39 days old (needed 10 days)
    Valid candidate
    Invalidated by dependency
    Not considered
    Depends: powertweak glibc (not considered)

Valid candidates can also be held up for other reasons - for example,
because they would break other things.

"You grabbed my hand and we fell into it, like a daydream - or a fever."

Reply to: